unit ErrorUnit;
{-------------------------------------------------------------------------------
Error management unit
---------------------
reSource version 2.5 BETA
Copyright (C) 1998-2000 Victor Kasenda / gruv
http://gruv.tripod.com/resource/
email: gruv@bigfoot.com


Desc:
Used for debugging and showing of error messages quickly.
-------------------------------------------------------------------------------}


(**) interface (**)
uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

{Displays a messagebox with the error description s}
procedure ShowError(const s: string);
procedure ShowFatal(const s: string);

(**) implementation (**)

procedure ShowError(const s: string);
begin
  Application.MessageBox(PChar(s), 'Error', 0);
end;

procedure ShowFatal(const s: string);
begin
  Application.MessageBox(PChar(s), 'Fatal', 0);
  halt(1);
end;

end.
